Name:          acpica
Version:       20240321
Release:       2mamba
Summary:       Advanced Configuration & Power Interface Component Architecture
Group:         System/Kernel and Hardware
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.intel.com/content/www/us/en/developer/topic-technology/open/acpica/overview.html
# NOTE: needs manual url update
Source:        https://downloadmirror.intel.com/819451/acpica-unix-%{version}.tar.gz
Source1:       %{name}-license
Source2:       http://www.intel.com/technology/iapc/acpi/downloads/AslCompiler.pdf
Source3:       http://www.intel.com/technology/iapc/acpi/downloads/ACPICA-ProgRef.pdf
Patch1:        %{name}-20061109-iasl_manpage.patch
License:       Intel Software License Agreement
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
Obsoletes:     pmtools <= 20130209-2mamba
BuildRequires: flex
BuildRequires: bison
ExclusiveArch: %{ix86} x86_64

%description
Advanced Configuration & Power Interface Component Architecture (ACPI CA) provides a reference implementation of software components that enable OS support for interfaces defined in the ACPI 1.0b specification.
This includes: AML interpreter and debugger, Namespace Management, ACPI hardware support, and basic OSPM, including a device power management framework.

%debug_package

%prep
%setup -q -n %{name}-unix-%{version}
cd source
%patch 1 -p1

cp %{S:1} LICENSE
cp %{S:2} %{S:3} .

%build
export CFLAGS="%{optflags} -Wno-dangling-pointer -Wno-format-overflow"

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall INSTALLFLAGS=""

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/*
#%{_mandir}/man1/*
%doc source/LICENSE

%changelog
* Mon Apr 15 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 20240321-2mamba
- obsolete pmtools

* Thu Apr 04 2024 Automatic Build System <autodist@openmamba.org> 20240321-1mamba
- automatic version update by autodist

* Wed Aug 16 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 20230628-1mamba
- update to 20230628

* Thu Dec 29 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 20221020-1mamba
- update to 20221020

* Fri Apr 01 2022 Automatic Build System <autodist@mambasoft.it> 20220331-1mamba
- automatic version update by autodist

* Sun Dec 19 2021 Automatic Build System <autodist@mambasoft.it> 20211217-1mamba
- automatic version update by autodist

* Fri Oct 01 2021 Automatic Build System <autodist@mambasoft.it> 20210930-1mamba
- automatic version update by autodist

* Sat Jul 31 2021 Automatic Build System <autodist@mambasoft.it> 20210730-1mamba
- automatic version update by autodist

* Tue Apr 06 2021 Automatic Build System <autodist@mambasoft.it> 20210331-1mamba
- automatic version update by autodist

* Tue Jan 12 2021 Automatic Build System <autodist@mambasoft.it> 20210105-1mamba
- automatic version update by autodist

* Mon Dec 21 2020 Automatic Build System <autodist@mambasoft.it> 20201217-1mamba
- automatic version update by autodist

* Sun Nov 15 2020 Automatic Build System <autodist@mambasoft.it> 20201113-1mamba
- automatic version update by autodist

* Sat Oct 10 2020 Automatic Build System <autodist@mambasoft.it> 20200925-1mamba
- automatic version update by autodist

* Tue Aug 04 2020 Automatic Build System <autodist@mambasoft.it> 20200717-1mamba
- automatic version update by autodist

* Wed Jun 10 2020 Automatic Build System <autodist@mambasoft.it> 20200528-1mamba
- automatic version update by autodist

* Mon May 11 2020 Automatic Build System <autodist@mambasoft.it> 20200430-1mamba
- automatic version update by autodist

* Tue Apr 07 2020 Automatic Build System <autodist@mambasoft.it> 20200326-1mamba
- automatic version update by autodist

* Tue Feb 18 2020 Automatic Build System <autodist@mambasoft.it> 20200214-1mamba
- automatic version update by autodist

* Sun Jan 12 2020 Automatic Build System <autodist@mambasoft.it> 20200110-1mamba
- automatic version update by autodist

* Mon Dec 23 2019 Automatic Build System <autodist@mambasoft.it> 20191213-1mamba
- automatic version update by autodist

* Mon Nov 25 2019 Automatic Build System <autodist@mambasoft.it> 20191018-1mamba
- automatic version update by autodist

* Mon Sep 02 2019 Automatic Build System <autodist@mambasoft.it> 20190816-1mamba
- automatic version update by autodist

* Mon Jul 08 2019 Automatic Build System <autodist@mambasoft.it> 20190703-1mamba
- automatic version update by autodist

* Fri May 10 2019 Automatic Build System <autodist@mambasoft.it> 20190509-1mamba
- automatic version update by autodist

* Sun Mar 31 2019 Automatic Build System <autodist@mambasoft.it> 20190329-1mamba
- automatic version update by autodist

* Mon Feb 18 2019 Automatic Build System <autodist@mambasoft.it> 20190215-1mamba
- automatic version update by autodist

* Thu Jan 10 2019 Automatic Build System <autodist@mambasoft.it> 20190108-1mamba
- automatic version update by autodist

* Mon Dec 17 2018 Automatic Build System <autodist@mambasoft.it> 20181213-1mamba
- automatic version update by autodist

* Sat Nov 03 2018 Automatic Build System <autodist@mambasoft.it> 20181031-1mamba
- automatic version update by autodist

* Fri Oct 05 2018 Automatic Build System <autodist@mambasoft.it> 20181003-1mamba
- automatic version update by autodist

* Sun Sep 30 2018 Automatic Build System <autodist@mambasoft.it> 20180927-1mamba
- automatic version update by autodist

* Wed Aug 15 2018 Automatic Build System <autodist@mambasoft.it> 20180810-1mamba
- automatic version update by autodist

* Sat Jul 28 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 20180629-1mamba
- update to 20180629

* Sun Apr 22 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 20120420-1mamba
- update to 20120420

* Fri Jun 08 2007 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 20061109-1mamba
- package created by autospec
